| OpenCV 3.4.3 Open Source Computer Vision

Public Member Functions | List of all members
cv::TrackerStateEstimatorMILBoosting::TrackerMILTargetState Class Reference

`#include "tracker.hpp"`

Inheritance diagram for cv::TrackerStateEstimatorMILBoosting::TrackerMILTargetState:

## Public Member Functions
| TrackerMILTargetState (const Point2f &position, int width, int height, bool foreground, const Mat &features)
| Constructor. More...
| ~TrackerMILTargetState ()
| Destructor. More...
Mat | getFeatures () const
| Get the features extracted. More...
bool | isTargetFg () const
| Get the label. Return true for target foreground, false for background. More...
void | setFeatures (const Mat &features)
| Set the features extracted from TrackerFeatureSet. More...
void | setTargetFg (bool foreground)
| Set label: true for target foreground, false for background. More...
Public Member Functions inherited from cv::TrackerTargetState
virtual | ~TrackerTargetState ()
int | getTargetHeight () const
| Get the height of the target. More...
Point2f | getTargetPosition () const
| Get the position. More...
int | getTargetWidth () const
| Get the width of the target. More...
void | setTargetHeight (int height)
| Set the height of the target. More...
void | setTargetPosition (const Point2f &position)
| Set the position. More...
void | setTargetWidth (int width)
| Set the width of the target. More...

## Additional Inherited Members
Protected Attributes inherited from cv::TrackerTargetState
int | targetHeight
Point2f | targetPosition
int | targetWidth

## Detailed Description

Implementation of the target state for TrackerStateEstimatorMILBoosting

## Constructor & Destructor Documentation

## § TrackerMILTargetState()

cv::TrackerStateEstimatorMILBoosting::TrackerMILTargetState::TrackerMILTargetState | ( | const Point2f & | position,
|  | int | width,
|  | int | height,
|  | bool | foreground,
|  | const Mat & | features
| ) |  |

Constructor.

Parameters

  position | Top left corner of the bounding box
  width | Width of the bounding box
  height | Height of the bounding box
  foreground | label for target or background
  features | features extracted

## § ~TrackerMILTargetState()

cv::TrackerStateEstimatorMILBoosting::TrackerMILTargetState::~TrackerMILTargetState | ( |  | ) |
| inline

Destructor.

## Member Function Documentation

## § getFeatures()

Mat cv::TrackerStateEstimatorMILBoosting::TrackerMILTargetState::getFeatures | ( |  | ) | const

Get the features extracted.

## § isTargetFg()

bool cv::TrackerStateEstimatorMILBoosting::TrackerMILTargetState::isTargetFg | ( |  | ) | const

Get the label. Return true for target foreground, false for background.

## § setFeatures()

void cv::TrackerStateEstimatorMILBoosting::TrackerMILTargetState::setFeatures | ( | const Mat & | features | ) |

Set the features extracted from TrackerFeatureSet.

Parameters

  features | The features extracted

## § setTargetFg()

void cv::TrackerStateEstimatorMILBoosting::TrackerMILTargetState::setTargetFg | ( | bool | foreground | ) |

Set label: true for target foreground, false for background.

Parameters

  foreground | Label for background/foreground

The documentation for this class was generated from the following file:

- /build/3_4-contrib_docs-lin64/opencv_contrib/modules/tracking/include/opencv2/tracking/tracker.hpp